API7 GatewayAPI7 Enterprise Developer Portal APIsUpdate an application basic information by the logged in developer.
Update an application basic information by the logged in developer.
PUT /api/applications/{application_id}
PUT /api/applications/{application_id}Interactive request editor loads with JavaScript.
Authorization
BearerAuth DeveloperIDHeader AuthorizationBearer <token>
In: header
X-Portal-Developer-ID<token>
In: header
Path Parameters
application_id*string
The object ID.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Default
"default"Request Body
application/json
body*unknown
Create an application request.
Response Body
application/json
application/json
application/json
application/json
curl -X PUT "$API_BASE_URL/api/applications/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "us-west-rsc",
"desc": "Object description.",
"labels": {
"version": "v2",
"env": "prod"
},
"id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
"created_at": "2025-01-01T00:00:00.000Z",
"updated_at": "2025-01-01T00:00:00.000Z"
}Bad request.
{
"status": 400,
"message": "error message"
}Unauthorized.
{
"status": 401,
"message": "unauthorized"
}Resource not found.
{
"status": 404,
"message": "resource not found"
}Internal server error.
Complete operation details and schema variants
PUT /api/applications/{application_id}
Update an application basic information by the logged in developer.
Parameters
application_id(path, string, required):
Request body
Content type: application/json
name(string, optional): The object name.desc(string, optional): The object description.labels(object, optional): Key-value pairs of labels.
Responses
200:- allOf variant 1
name(string, required): The object name.desc(string, optional): The object description.labels(object, optional): Key-value pairs of labels.- allOf variant 2
id(string, required): The object ID.created_at(string, required): The time when the object was created in ISO 8601 format.updated_at(string, required): The time when the object was last updated in ISO 8601 format.400: Bad request.status(integer, required): The HTTP status code of the error response.message(string, required): The error message.401: Unauthorized. Response fields (application/json): identical toPUT /api/applications/{application_id}, response 400 above.404: Resource not found. Response fields (application/json): identical toPUT /api/applications/{application_id}, response 400 above.500: Internal server error.
cURL
curl -X PUT '$API_BASE_URL/api/applications/{application_id}'